/** $VER: Version 0.01 (23 Feb 1999), by Thorsten Willert
******************************************************************************
** VERSION    : 0.01
** PROGRAMM   : Vorlage_Modul.rexx
** AUTHOR     : Thorsten Willert
** DISCRIPTION: Vorlage fr CompressHTML- Module
** DATE       : 23 Feb. 1999
** STATUS     : FREEWARE
** REQUIRES   : ARexx ;-)
**
** Erstellt mit Hilfe des ARexxWizards 0.2
**  1998, by Thorsten Willert
*****************************************************************************/

SIGNAL ON ERROR
SIGNAL ON SYNTAX

PARSE ARG In,Out,Data,Path,Prefs /* Eingabedatei,Ausgabedatei,ModulPfad,Ursprungspfad,Voreinstellungen */

/* !! Es werden noch keine Voreinstellungen bergeben !! */

IF In = "INFO" THEN
DO
    RETURN 100","0","0","1 /* Typ,Art,PRE,65k

                              Typ:
                              0 = HTML
                              1 = ARexx
                              2 = AmigaGuide
                            100 = ASCII ;-)

                              Art:
                              0 = Compressor
                              1 = Decompressor
                              5 = Preprozessor

                              PRE:
                              0 = HTML-Dateien mit PRE-formatiertem Text werden nicht
                                  untersttzt.
                              1 = HTML-Dateien mit PRE-formatiertem Text werden
                                  untersttzt.

                              65k:
                              0 = Dateien grer 65k werden nicht bearbeitet
                              1 = Dateien grer 65k werden nicht bearbeitet

                              !! Diese Informationen braucht CompressHTML um die
                              Dateien VOR der bergabe an das Modul, richtig
                              behandlen/testen zu knnen !! */
END
ELSE
DO

    CALL OPEN( InDatei,  In ,"R")
    CALL OPEN( OutDatei, Out,"W")

        /* Hier steht dann die Bearbeitungsroutine */

        /* Beispiel fr einen "ASCII-Compressor" ;-))
        (er entfernt alle Leerzeichen am Zeilenende) */
        CALL WRITELN( OutDatei , STRIP( READLN( InDatei ), 'E' )

    CALL CLOSE( InDatei)
    CALL CLOSE( OutDatei)

    RETURN 1 /* Bearbeitung war erfolgreich, mu zurckgegeben werden! */
END

RETURN 0

/*****************************************************************************/

ERROR:
SYNTAX:

RETURN RC","SIGL /* Fehlermeldung wird dann von CompressHTML ausgegeben! */
